Bug 1414644 - [RFE] support reset different storage backend
Summary: [RFE] support reset different storage backend
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: atomic
Version: 7.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jindrich Novy
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 06:34 UTC by Alex Jia
Modified: 2021-01-15 07:30 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 07:30:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alex Jia 2017-01-19 06:34:05 UTC
Description of problem:
It seems we only can reset docker storage in atomic, recently, the different storage backends are supported by atomic, we also should support to reset them,
I saw we have a option '--graph' in atomic storage reset command, but I'm not sure how to point to ostree storage via the option, the path '/var/lib/ostree' doesn't exist, and the '/var/lib/atomic/' doesn't includes ostree relevant storage. 

Version-Release number of selected component (if applicable):

[root@atomic-host-test-986 ~]# atomic host status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.3.2 (2017-01-13 22:00:41)
        Commit: 96826a0d917d7ff10f9fd0289581649f2ffbddd76f3b80efd3d95cc11915cacb
        OSName: rhel-atomic-host

[root@atomic-host-test-986 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Atomic Host release 7.3

[root@atomic-host-test-986 ~]# rpm -q atomic skopeo docker
atomic-1.14.1-5.el7.x86_64
skopeo-0.1.17-1.el7.x86_64
docker-1.12.5-14.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. atomic pull busybox
2. atomic install --system busybox
3. atomic images list
4. systemctl stop docker
5. atomic storage reset
6. systemctl start docker
7. repeat step 3

Actual results:

# atomic pull busybox
Image busybox is being pulled to docker ...
Pulling docker.io/library/busybox:latest ...
Copying blob sha256:4b0bc1c4050b03c95ef2a8e36e25feac42fd31283e8c30b3ee5df6b043155d3c
 479.13 KB / 661.75 KB [=======================================>---------------]
Copying config sha256:7968321274dc6b6171697c33df7815310468e694ac5be0ec03ff053bb135e768
 0 B / 1.43 KB [---------------------------------------------------------------]
Writing manifest to image destination
Storing signatures
 1.43 KB / 1.43 KB [===========================================================]

# atomic install --system busybox
Extracting to /var/lib/containers/atomic/busybox.0
systemctl daemon-reload
systemctl enable busybox

# atomic images list
   REPOSITORY          TAG      IMAGE ID       CREATED            VIRTUAL SIZE   TYPE      
   docker.io/busybox   latest   7968321274dc   2017-01-13 22:13   1.11 MB        docker    
   busybox             latest   7968321274dc   2017-01-19 06:16                  ostree    

# systemctl stop docker
# atomic storage reset
# systemctl start docker

# atomic images list
   REPOSITORY TAG      IMAGE ID       CREATED            VIRTUAL SIZE   TYPE      
   busybox   latest   7968321274dc   2017-01-19 06:16                  ostree    


Expected results:


Additional info:

I know the docker storage should be default, so the previous result is an expected result, if users want to reset ostree backend storage, how to do it?

atomic storage reset --graph "xxx/ostree/xxx"  ?

Comment 3 RHEL Program Management 2021-01-15 07:30:17 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.